Обсудим увиденное или прочитанное

Обсуждение конференций, выставок, событий...

279 тем в этом разделе

    • 85 ответов
    • 13 458 просмотров
    • 0 ответов
    • 1 541 просмотр
    • 3 ответа
    • 1 704 просмотра
    • 0 ответов
    • 1 454 просмотра
    • 1 ответ
    • 1 358 просмотров
    • 0 ответов
    • 1 245 просмотров
    • 0 ответов
    • 1 248 просмотров
    • 20 ответов
    • 3 928 просмотров
    • 3 ответа
    • 1 464 просмотра
    • 2 ответа
    • 1 572 просмотра
    • 0 ответов
    • 1 136 просмотров
    • 6 ответов
    • 2 737 просмотров
    • 1 ответ
    • 1 828 просмотров
    • 17 ответов
    • 3 795 просмотров
    • 5 ответов
    • 2 439 просмотров
    • 3 ответа
    • 1 926 просмотров
    • 1 ответ
    • 1 420 просмотров
    • 0 ответов
    • 1 290 просмотров
    • 0 ответов
    • 1 225 просмотров
    • 1 ответ
    • 1 774 просмотра
    • 0 ответов
    • 1 336 просмотров
    • 2 ответа
    • 1 834 просмотра
    • 0 ответов
    • 1 589 просмотров
    • 14 ответов
    • 3 221 просмотр
    • 2 ответа
    • 1 620 просмотров
    • 6 ответов
    • 2 271 просмотр
    • 2 ответа
    • 1 736 просмотров
    • 4 ответа
    • 1 579 просмотров
    • 3 ответа
    • 1 533 просмотра
    • 0 ответов
    • 1 267 просмотров
    • 1 ответ
    • 1 485 просмотров
    • 5 ответов
    • 1 953 просмотра
    • 0 ответов
    • 1 017 просмотров
    • 13 ответов
    • 2 542 просмотра
    • 9 ответов
    • 2 993 просмотра
    • 2 ответа
    • 1 416 просмотров
    • 11 ответов
    • 2 952 просмотра
    • 3 ответа
    • 1 514 просмотра
    • 0 ответов
    • 1 180 просмотров
    • 11 ответов
    • 2 550 просмотров
    • 1 ответ
    • 1 352 просмотра
    • 1 ответ
    • 1 345 просмотров
    • 61 ответ
    • 10 092 просмотра
    • 19 ответов
    • 3 756 просмотров
    • 22 ответа
    • 5 203 просмотра
    • 12 ответов
    • 3 837 просмотров
    • 0 ответов
    • 1 595 просмотров
    • 6 ответов
    • 2 513 просмотра
    • 0 ответов
    • 1 342 просмотра
    • 1 ответ
    • 1 580 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.